com.mapinfo.midev.raster.core

## Class RasterRegistrationInfo

- java.lang.Object
- - com.mapinfo.midev.raster.core.RasterRegistrationInfo

    public final class RasterRegistrationInfo
    extends Object

Denotes how a raster should be positioned geographically.

### Constructor Summary

Constructors
Constructor and Description
`RasterRegistrationInfo(AffineTransform mapToRasterTransform)` Create the registration information based on an affine transform.
`RasterRegistrationInfo(List mapRegistrationPoints, List rasterRegistrationPoints)` Create the registration information based on two sets of points.

### Method Summary

All Methods Instance Methods Concrete Methods
`AffineTransform` `getMapToRasterTransform()` Get the affine transform that defines the raster registration.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RasterRegistrationInfo

    public RasterRegistrationInfo(List mapRegistrationPoints,
                                  List rasterRegistrationPoints)

Create the registration information based on two sets of points.

Parameters:
  `mapRegistrationPoints` - A list of points geographic points. Must contain at least 3 points.
  `rasterRegistrationPoints` - A list of raster points (pixels) that correspond to each geographic point.

#### RasterRegistrationInfo

    public RasterRegistrationInfo(AffineTransform mapToRasterTransform)

Create the registration information based on an affine transform.

### Method Detail

#### getMapToRasterTransform

    public AffineTransform getMapToRasterTransform()

Get the affine transform that defines the raster registration.